ResourceNameEndpointURIBuilder (Mule ESB 2.2.1 API)
Keywords: org.mule.endpoint.ResourceNameEndpointURIBuilder class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.endpoint
Class ResourceNameEndpointURIBuilder

    java.lang.Object
      org.mule.endpoint.AbstractEndpointURIBuilder
          org.mule.endpoint.ResourceNameEndpointURIBuilder

All Implemented Interfaces:
  EndpointURIBuilder

    public class ResourceNameEndpointURIBuilder

extends AbstractEndpointURIBuilder

`ResourceNameEndpointBuilder` extracts a resource name from a uri endpointUri

Field Summary
`protected static Log` | `logger`
`static String` | `RESOURCE_INFO_PROPERTY`

Fields inherited from class org.mule.endpoint.AbstractEndpointURIBuilder
`address, connectorName, endpointName, responseTransformers, transformers, userInfo`

Constructor Summary
`ResourceNameEndpointURIBuilder()`

Method Summary
`protected void` | `setEndpoint(URI uri, Properties props)`

Methods inherited from class org.mule.endpoint.AbstractEndpointURIBuilder
`build, getPropertiesForURI`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### logger

    protected static final Log logger

### RESOURCE_INFO_PROPERTY

    public static final String RESOURCE_INFO_PROPERTY

See Also:
  Constant Field Values

Constructor Detail

### ResourceNameEndpointURIBuilder

    public ResourceNameEndpointURIBuilder()

Method Detail

### setEndpoint

    protected void setEndpoint(URI uri,
                               Properties props)
                        throws MalformedEndpointException

  Specified by:
    `setEndpoint` in class `AbstractEndpointURIBuilder`
  Throws:
    `MalformedEndpointException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.